# Hold Tab for Scoreboard

Simple mod to change the behavior of the score board / leaderboard, so that it is only shown while the tab key is pressed down and hidden again on release, instead of toggled on or off.

This mod clears any previous key-binding of the tab key. However, you can set `Toggle Scoreboard/Objectives` to another key in `Settings -> Controls -> Key Bindings`.

After disabling or removing the mod, you will have to set `Toggle Scoreboard/Objectives` in `Settings -> Controls -> Key Bindings` to tab again, if it was before like that, or you won't be able to see the scoreboard at all.

This mod doesn't overwrite any files or functions and should be compatible with any other scoreboard mod. It was tested with `Team Loadout Viewer` and `CenteredScoreboard`.

## Singleplayer

This mod toggles the objective screen in the campaign on and off just like vanilla Titanfall. Implementing the same behavior as the scoreboard is difficult, because the objective screen works differently and I don't know how.

## Settings

If you want to use a different key than tab for this function, edit line 6 and 7 of `hold_for_scoreboard.nut` of this mod.
